#### D.15.29.11 twist

Procedure from library `tateProdCplxNegGrad.lib` (see tateProdCplxNegGrad_lib).

Usage:
  twist(M,c); M module, c intvec

Purpose:
  twists the module M by c

Assume:
  M is a multigraded module

Return:
  M with the new grading

Example:

    LIB "tateProdCplxNegGrad.lib";
    intvec c = 1,1;
    def (S,E) = productOfProjectiveSpaces(c);
    setring(S);
    module M = freemodule(2);
    intmat gradeM[2][2] = 0,1,0,1;
    M = setModuleGrading(M,gradeM);
    getModuleGrading(M);
    ==> 0,1,
    ==> 0,1
    intvec c = 2,2;
    ==> // ** redefining c (intvec c = 2,2;) ./examples/twist.sing:9
    module Mtwist = twist(M,c);
    getModuleGrading(Mtwist);
    ==> -2,-1,
    ==> -2,-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.